GET /instances/{id}/frames/{frame}/image-uint8

orthanc-server.com

Summary: Decode a frame (uint8)
Operation ID:
Auth: unknown
Description

Decode one frame of interest from the given DICOM instance. Pixels of grayscale images are truncated to the [0,255] range.

Parameters (5)

Accept (string, header, optional)

Format of the resulting image. Can be `image/png` (default), `image/jpeg` or `image/x-portable-arbitrarymap`

frame (number, path, required)

Index of the frame (starts at `0`)

id (string, path, required)

Orthanc identifier of the DICOM instance of interest

quality (number, query, optional)

Quality for JPEG images (between 1 and 100, defaults to 90)

returnUnsupportedImage (boolean, query, optional)

Returns an unsupported.png placeholder image if unable to provide the image instead of returning a 415 HTTP error (defaults to false)

No probe data for this endpoint yet.